; ========================================
; HLirc Version 1.0
; Created by Disk2 (disk2@cscentral.com)
; http://www.cscentral.com/hlirc
; ========================================
; Based on igor]2's HalfIRC mIRC script
; ========================================

; Function that passes messages to the HLirc DLL, which passes 
; the messages to Half-Life
alias -l Handler {
  dll " $+ $mircdir $+ HLirc\HLirc.dll" EventHandler $1-
}

; Load HLirc DLL on mIRC start
on 1:START:{
  Handler
}

; Channel messages
on 1:TEXT:*:#:{
  if ($chan == $active) {
    Handler < $+ $nick $+ > $strip($1-)
  }
}

; Private messages
on 1:TEXT:*:?:{
  Handler PM from $nick $+ : $strip($1-)
}

; Channel notices
on 1:NOTICE:*:#:{
  if ($chan == $active)
  Handler - $nick - $strip($1-)
}

; Private notices
on 1:NOTICE:*:?:{
  Handler - $+ $nick $+ - $strip($1-)
}

; Channel emotions
on 1:ACTION:*:#:{
  if ($chan == $active) {
    Handler * $nick $strip($1-)
  }
}

; Nick change
on 1:NICK:{
  if ($newnick ison $active) {
    Handler *** Nick: $nick is now known as $newnick
  }
}

; User join
on 1:JOIN:#:{
  if ($chan == $active) {
    Handler *** Joins: $nick
  }
}

; User part
on 1:PART:#:{
  if ($chan == $active) {
    Handler *** Parts: $nick
  }
}

; User quit
on 1:QUIT:{
  if ($nick ison $active) {
    Handler *** Quits: $nick - ( $+ $strip($1-) $+ )
  }
}

; User kicked
on 1:KICK:#:{
  if ($chan == $active) {
    Handler *** Kick: $knick was kicked by $nick - ( $+ $strip($1-) $+ )
  }
}

; Channel modes
on 1:RAWMODE:#:{
  if ($chan == $active) {
    Handler *** $nick sets mode: $strip($1-)
  }
}
